Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.WebControls.WebParts
Imports System.Web.UI.HtmlControls
Imports System.Collections
Imports System.Collections.Generic
Imports System.Web.Mail
Imports EDSL.Entities
Imports EDSL.DAL

Public Partial Class NewsArticle
  Inherits BasePage
  Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim objMainPage As New dbMainPage
        Dim objMainPageEntity As New entMainPage

        objMainPageEntity = objMainPage.GetPageDetails("NewsArticle")

        SetMetaData(objMainPageEntity.PageMetaContent.ToString(), ConfigurationManager.AppSettings("BrowserTitleCompanyName") & objMainPageEntity.PageMetaName.ToString())
        Me.MetaName = objMainPageEntity.PageMetaContent


        Dim pageInfo As HyperLink = Breadcrumb.FindControl("lnkPage")
        pageInfo.Text = objMainPageEntity.PageTitle
    End Sub

    Public Sub SetMetaData(ByVal content As String, ByVal title As String)

        Me.MetaTitle = title

        If content <> "" Then
            Me.MetaContent = content
        End If


    End Sub
End Class
